import ts = require('typescript');
import { FacadeConverter } from './facade_converter';
/**
 * To support arbitrary d.ts files in Dart we often have to merge two TypeScript
 * types into a single Dart type because Dart lacks features such as method
 * overloads, type aliases, and union types.
 */
export declare class MergedType {
    private fc;
    constructor(fc: FacadeConverter);
    merge(t?: ts.TypeNode): void;
    toTypeNode(): ts.TypeNode;
    private types;
}
/**
 * Handle a parameter that is the result of merging parameter declarations from
 * multiple method overloads.
 */
export declare class MergedParameter {
    constructor(param: ts.ParameterDeclaration, fc: FacadeConverter);
    merge(param: ts.ParameterDeclaration): void;
    toParameterDeclaration(): ts.ParameterDeclaration;
    setOptional(): void;
    private name;
    private type;
    private optional;
    private textRange;
}
/**
 * Normalize a SourceFile
 */
export declare function normalizeSourceFile(f: ts.SourceFile): void;
