"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ts = require('typescript');
var base = require('./base');
var StatementTranspiler = (function (_super) {
    __extends(StatementTranspiler, _super);
    function StatementTranspiler(tr) {
        _super.call(this, tr);
    }
    StatementTranspiler.prototype.visitNode = function (node) {
        switch (node.kind) {
            case ts.SyntaxKind.EmptyStatement:
                break;
            case ts.SyntaxKind.VariableStatement:
                var variableStmt = node;
                this.visit(variableStmt.declarationList);
                this.emit(';');
                break;
            default:
                return false;
        }
        return true;
    };
    return StatementTranspiler;
}(base.TranspilerBase));
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = StatementTranspiler;

//# sourceMappingURL=statement.js.map
